Skip to main content

Update Deposit Summary: MRI

Beta
PUThttps://api.propexo.com/v1/deposit-summaries/mri/:deposit_summary_id

Update Deposit Summary: MRI. This endpoint will initiate a deposit summary as paid.

Method
/mriapiservices/api.asp?$api=MRI_S-PMAP_PayInvoice

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

deposit_summary_id stringrequired

The Propexo unique identifier for the deposit summary

Request​

This endpoint expects an object.

    check_numberstringrequired

    The check number

    Possible values: non-empty and <= 9 characters

    post_monthstringrequired

    The post month of the check.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    payment_datestringrequired

    The payment date of the check.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    deposit_summary_idstringrequired

    The Propexo unique identifier for the deposit summary

    check_numberstringrequired

    The check number

    Possible values: non-empty and <= 9 characters

    post_monthstringrequired

    The post month of the check.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    payment_datestringrequired

    The payment date of the check.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/deposit-summaries/mri/:deposit_summary_id
curl -X PUT https://api.propexo.com/v1/deposit-summaries/mri/:deposit_summary_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"check_number": "string",
"post_month": "2024-07-29T15:51:28.071Z",
"payment_date": "2024-07-29T15:51:28.071Z"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"deposit_summary_id": "string",
"check_number": "string",
"post_month": "2024-07-29T15:51:28.071Z",
"payment_date": "2024-07-29T15:51:28.071Z"
}
}